Bug 976202 - The "Browse by tag" button does not work on the create application page in development mode.
The "Browse by tag" button does not work on the create application page in de...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website (Show other bugs)
1.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks: 976604 1123830
  Show dependency treegraph
 
Reported: 2013-06-20 02:25 EDT by Yujie Zhang
Modified: 2017-03-08 12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 976604 1123830 (view as bug list)
Environment:
Last Closed: 2013-06-28 11:45:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-06-20 02:25:55 EDT
Description of problem:

Tested on development mode, clicked the "Browse by tag" button on the create application page, found that it does not work when clicking ,the dropdown menu will not be displayed.

Version-Release number of selected component (if applicable):
OpenShiftEnterprise 1.2 RC1

How reproducible:
always

Steps to Reproduce:
1.Go to create application page
2.Click the "Browse by tag" button
3.

Actual results:

The "Browse by tag" button does not work.

Expected results:

The "Browse by tag" button should work correctly.

Additional info:
Comment 2 Johnny Liu 2013-06-20 02:32:04 EDT
Touch /etc/openshift/development, then restart console service to swich from production to development mode.

Dig into this issue a little, found development.rb and production.rb are different in /var/www/openshift/console/config/environments, once copy production.rb to overwrite development.rb, then restart console service, this issue disappeared.
Comment 3 Jason DeTiberus 2013-06-20 17:17:36 EDT
https://github.com/openshift/enterprise-server/pull/91
Comment 4 Yujie Zhang 2013-06-24 22:10:23 EDT
Tested on http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-21.2/ the "browse by tag" link can work now, so verify this bug,thanks.
Comment 5 Luke Meyer 2013-06-28 11:45:42 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.